Bug 801234 - Systemd shows an error and stops the booting.
Systemd shows an error and stops the booting.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 20:33 EST by Braghadees
Modified: 2012-05-31 22:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 22:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo snap of my screen when it fails to boot with systemd expressing the error. (357.87 KB, image/jpeg)
2012-03-07 20:33 EST, Braghadees
no flags Details
Anothr Photo snap of my screen when it fails to boot with systemd expressing the error. (125.58 KB, image/jpeg)
2012-03-07 20:38 EST, Braghadees
no flags Details
ls -lR of /{etc,lib}/systemd/system (20.87 KB, text/plain)
2012-03-08 11:32 EST, Braghadees
no flags Details

  None (edit)
Description Braghadees 2012-03-07 20:33:41 EST
Created attachment 568461 [details]
Photo snap of my screen when it fails to boot with systemd expressing the error.

Description of problem:
In a try to make my system boot under CLI, i symlinked 
  "ln -sf /etc/systemd/system/rescue.target /etc/systemd/system/default.target "
, mistake i made here is i symlinked /etc/... instead of /lib/... which caused system to stall at the booting with the error
  
    "Welcome to Fedora lovelock 15!
     systemd[1]:unable to break cycle
     systemd[1]:Failed to start default.target. Transaction order is cyclic.See system log for details.
     systemd[1]:segfault at ...
     systemd[1]:caught <SEGV>.core dump failed.    
    "
This is where my system stops on a normal booting.
    I was able to login under multi-user.target as kernel command while booting until recently(7Mar,2012:EDT) when i tried to symlink again with the 
"ln -sf /etc/systemd/system/graphical.target /etc/systemd/system/default.target".
    This to it costed more and couldn't login as systemd "Freezing execution"                        

Version-Release number of selected component (if applicable):


How reproducible:Image only, as the error msg is not part of boot.log. Says it could be found under System log, but dont know where to find it.


Steps to Reproduce:
1.Photo snapped the login screen.
2.
3.
  
Actual results:


Expected results:


Additional info:Please help me resolve this isssue.
Comment 1 Braghadees 2012-03-07 20:38:53 EST
Created attachment 568462 [details]
Anothr Photo snap of my screen when it fails to boot with systemd expressing the error.

Photo snap of my screen when it fails to boot with systemd expressing the error under normal booting, whereas the previous image attachment was when i booted through multi-user.target manually.
Comment 2 Michal Schmidt 2012-03-08 04:56:42 EST
I can't reproduce the problem.
The first screenshot is useful, but it's still unclear to me how it got to the cycle with multi-user.target/stop.

Try booting with "systemd.log_level=debug systemd.log_target=console" to get more detailed output on the screen.

Also could you attach the output of "ls -lR /{etc,lib}/systemd/system" ?
Comment 3 Braghadees 2012-03-08 11:32:54 EST
Created attachment 568688 [details]
ls -lR of /{etc,lib}/systemd/system

List of files and dirs on /{etc,lib}/systemd/system
Comment 4 Michal Schmidt 2012-03-08 11:39:58 EST
That's a strange listing. It shows there are no symlinks whatsoever.
Comment 5 Braghadees 2012-03-08 11:42:40 EST
  I'm not sure why it got to cycle with multi-user.target. I guess, I logged-in during my last tries (before booting was a permanent failure as now ) with the multi-user.target and even tried to symlink default.target with multi-user.target but not sure.
  I tried  the system.log options while booting, but nothing provided more details than the snap-shot i'd attached before. 
  I'd attached the list of /{etc,lib}/systemd/system files for your review.
Comment 6 Braghadees 2012-03-08 11:45:05 EST
Yeah its not showing the default.target as 'l', Maybe i took it from Ubuntu and  could that be a reason for it not be displayed as a link.
Comment 7 Braghadees 2012-03-08 11:53:27 EST
Yeah its not showing the default.target as 'l', Maybe i took it from Ubuntu and  could that be a reason for it not be displayed as a link.
Comment 8 Michal Schmidt 2012-03-08 12:12:12 EST
I recommend you to boot with the "emergency" parameter and run
this command from the emergency shell:
 rpm -Va 'systemd*'

Let me know if the command reports any output.

Then while you're in the emergency shell, remount your root filesystem
for writing:
 mount -o remount,rw /

And then delete these a couple of suspicious files:
 rm /etc/systemd/system/default.target
 rm /etc/systemd/system/rescue.target

Then you can reboot:
 reboot

Maybe it will work then.
Comment 9 Braghadees 2012-03-08 12:56:34 EST
I removed the suspicious files and it worked. thanks for the suggestion.It boots, but the messages shown during the booting time are little different from the pre- error period.
Comment 10 Michal Schmidt 2012-03-09 02:37:55 EST
What messages? Are you still seeing any messages about ordering cycles? Or any other errors?
Comment 11 Jóhann B. Guðmundsson 2012-05-31 22:14:45 EDT
Closing this bug since it's been more than adequate time for reporter to respond to this NEEDINFO request. 

Feel free to reopen this bug and provide the information requested if this is still an issue.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.